(function () {
  function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

  function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

  function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

  function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }

  function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

  function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

  (window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~pages-book-book-module~pages-home-home-module~pages-import-note-result-import-note-result-mo~a98ccc87"], {
    /***/
    "./src/app/services/helper/import/douban.ts":
    /*!**************************************************!*\
      !*** ./src/app/services/helper/import/douban.ts ***!
      \**************************************************/

    /*! exports provided: default */

    /***/
    function srcAppServicesHelperImportDoubanTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "default", function () {
        return importFromDouban;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");
      /* harmony import */


      var src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
      /*! src/app/entities/models/note */
      "./src/app/entities/models/note.ts");
      /* harmony import */


      var _misc__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
      /*! ./misc */
      "./src/app/services/helper/import/misc.ts");

      function importFromDouban(clipping, storage) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee2() {
          var _this = this;

          var duplicateCnt, importedCnt, pendingNotes, pendingBooks, rawRecords, titleLine, titleMatch, title, book;
          return regeneratorRuntime.wrap(function _callee2$(_context2) {
            while (1) {
              switch (_context2.prev = _context2.next) {
                case 0:
                  duplicateCnt = 0;
                  importedCnt = 0;
                  pendingNotes = [];
                  _context2.next = 5;
                  return storage.getAllBooks();

                case 5:
                  pendingBooks = _context2.sent.slice();
                  rawRecords = clipping.split('\n\n> ');

                  if (!(rawRecords.length < 2)) {
                    _context2.next = 9;
                    break;
                  }

                  return _context2.abrupt("return", []);

                case 9:
                  titleLine = rawRecords[0].split('\n\n');

                  if (!(titleLine.length < 2)) {
                    _context2.next = 12;
                    break;
                  }

                  return _context2.abrupt("return", []);

                case 12:
                  titleMatch = titleLine[0].match(/《(.*)》/);

                  if (!(!titleMatch || titleMatch.length < 2)) {
                    _context2.next = 15;
                    break;
                  }

                  return _context2.abrupt("return", []);

                case 15:
                  title = titleMatch[1];
                  book = Object(_misc__WEBPACK_IMPORTED_MODULE_2__["getOrCreateBook"])(title, '', pendingBooks);
                  _context2.next = 19;
                  return Promise.all(rawRecords.slice(1, rawRecords.length).map(function (raw) {
                    return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
                      var lines, citation, thoughts, note;
                      return regeneratorRuntime.wrap(function _callee$(_context) {
                        while (1) {
                          switch (_context.prev = _context.next) {
                            case 0:
                              if (raw) {
                                _context.next = 2;
                                break;
                              }

                              return _context.abrupt("return");

                            case 2:
                              lines = raw.split('\n\n');

                              if (!(lines.length < 1)) {
                                _context.next = 5;
                                break;
                              }

                              return _context.abrupt("return");

                            case 5:
                              citation = lines[0].trim();
                              thoughts = lines.length > 1 && !lines[1].startsWith('## ') ? lines[1].trim() : null;
                              note = new src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__["Note"]({
                                citation: citation,
                                thoughts: thoughts,
                                createdTime: new Date(),
                                book: book,
                                isFromImport: true
                              });
                              _context.next = 10;
                              return storage.isNoteDuplicated(note, book);

                            case 10:
                              if (!_context.sent) {
                                _context.next = 14;
                                break;
                              }

                              ++duplicateCnt;
                              _context.next = 15;
                              break;

                            case 14:
                              if (pendingNotes.length > 0 && pendingNotes[pendingNotes.length - 1].citation === citation) {
                                // 豆瓣阅读笔记可能会有连续两条引用相同，但前者没有评论，后者后评论。
                                // 这时，只导入后面一条笔记
                                pendingNotes = pendingNotes.splice(pendingNotes.length - 1, 1);
                              } else {
                                ++importedCnt;
                                pendingNotes.push(note);
                              }

                            case 15:
                            case "end":
                              return _context.stop();
                          }
                        }
                      }, _callee);
                    }));
                  }));

                case 19:
                  return _context2.abrupt("return", pendingNotes);

                case 20:
                case "end":
                  return _context2.stop();
              }
            }
          }, _callee2);
        }));
      }
      /***/

    },

    /***/
    "./src/app/services/helper/import/kindle.ts":
    /*!**************************************************!*\
      !*** ./src/app/services/helper/import/kindle.ts ***!
      \**************************************************/

    /*! exports provided: default */

    /***/
    function srcAppServicesHelperImportKindleTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "default", function () {
        return importFromKindle;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");
      /* harmony import */


      var src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
      /*! src/app/entities/models/note */
      "./src/app/entities/models/note.ts");
      /* harmony import */


      var _misc__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
      /*! ./misc */
      "./src/app/services/helper/import/misc.ts");

      function importFromKindle(clipping, storage) {
        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee4() {
          var _this2 = this;

          var duplicateCnt, importedCnt, pendingNotes, pendingBooks, rawRecords;
          return regeneratorRuntime.wrap(function _callee4$(_context4) {
            while (1) {
              switch (_context4.prev = _context4.next) {
                case 0:
                  duplicateCnt = 0;
                  importedCnt = 0;
                  pendingNotes = [];
                  _context4.next = 5;
                  return storage.getAllBooks();

                case 5:
                  pendingBooks = _context4.sent.slice();
                  rawRecords = clipping.split('==========');
                  _context4.next = 9;
                  return Promise.all(rawRecords.map(function (raw) {
                    return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this2, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
                      var lines, lineId, getNextLine, titleLine, authorId, title, splitList, author, authorSuffixId, timeLine, content, book, timeId, time, note;
                      return regeneratorRuntime.wrap(function _callee3$(_context3) {
                        while (1) {
                          switch (_context3.prev = _context3.next) {
                            case 0:
                              if (raw) {
                                _context3.next = 2;
                                break;
                              }

                              return _context3.abrupt("return");

                            case 2:
                              lines = raw.split('\n');

                              if (!(lines.length < 2)) {
                                _context3.next = 5;
                                break;
                              }

                              return _context3.abrupt("return");

                            case 5:
                              lineId = 0;

                              getNextLine = function getNextLine() {
                                ++lineId;

                                while (lineId < lines.length && (!lines[lineId] || lines[lineId].trim() === '')) {
                                  ++lineId;
                                }

                                if (lineId >= lines.length) {
                                  return null;
                                }

                                return lines[lineId];
                              };

                              titleLine = getNextLine();

                              if (titleLine) {
                                _context3.next = 10;
                                break;
                              }

                              return _context3.abrupt("return");

                            case 10:
                              // TODO: this may not work for other languages
                              authorId = titleLine.lastIndexOf(' (');
                              title = authorId >= 0 ? titleLine.slice(0, authorId) : '（未知书籍）';
                              splitList = [':', '：', '(', '（', '{', '【', ' ', '—', '·'];
                              splitList.forEach(function (split) {
                                var id = title.indexOf(split);

                                if (id >= 0) {
                                  title = title.substr(0, id);
                                }
                              });
                              author = authorId >= 0 ? titleLine.slice(authorId + 2, titleLine.length - 1) : '';
                              authorSuffixId = author.indexOf(')');

                              if (authorSuffixId >= 0) {
                                author = author.substring(0, authorSuffixId);
                              }

                              timeLine = getNextLine();
                              content = getNextLine();

                              if (!(!timeLine || !content)) {
                                _context3.next = 21;
                                break;
                              }

                              return _context3.abrupt("return");

                            case 21:
                              book = Object(_misc__WEBPACK_IMPORTED_MODULE_2__["getOrCreateBook"])(title, author, pendingBooks);
                              pendingBooks.push(book);
                              timeId = timeLine.indexOf('添加于 ');
                              time = timeLine.slice(timeId + '添加于 '.length).replace('年', '/').replace('月', '/').replace('日', '').replace(/星期\S+/, '').replace(/上午/, '').replace(/下午/, '');
                              note = new src_app_entities_models_note__WEBPACK_IMPORTED_MODULE_1__["Note"]({
                                citation: content,
                                createdTime: new Date(time),
                                book: book,
                                isFromImport: true
                              }); // TODO: isNoteDuplicated(note, book) ?

                              _context3.next = 28;
                              return storage.isNoteDuplicated(note);

                            case 28:
                              if (!_context3.sent) {
                                _context3.next = 32;
                                break;
                              }

                              // console.log('duplicate：' + note.citation);
                              ++duplicateCnt;
                              _context3.next = 34;
                              break;

                            case 32:
                              // console.log('imported: ' + note.citation);
                              ++importedCnt;
                              pendingNotes.push(note);

                            case 34:
                            case "end":
                              return _context3.stop();
                          }
                        }
                      }, _callee3);
                    }));
                  }));

                case 9:
                  return _context4.abrupt("return", pendingNotes);

                case 10:
                case "end":
                  return _context4.stop();
              }
            }
          }, _callee4);
        }));
      }
      /***/

    },

    /***/
    "./src/app/services/helper/import/misc.ts":
    /*!************************************************!*\
      !*** ./src/app/services/helper/import/misc.ts ***!
      \************************************************/

    /*! exports provided: getOrCreateBook */

    /***/
    function srcAppServicesHelperImportMiscTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "getOrCreateBook", function () {
        return getOrCreateBook;
      });
      /* harmony import */


      var src_app_entities_models_book__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! src/app/entities/models/book */
      "./src/app/entities/models/book.ts");

      function getOrCreateBook(title, author, pendingBooks) {
        var _iterator = _createForOfIteratorHelper(pendingBooks),
            _step;

        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var b = _step.value;

            if (b.autoImportTitle === title || title === b.title) {
              return b;
            }
          } // no book with this title, create one

        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }

        var book = new src_app_entities_models_book__WEBPACK_IMPORTED_MODULE_0__["Book"]({
          title: title,
          autoImportTitle: title,
          author: author,
          isArchived: true
        });
        return book;
      }
      /***/

    },

    /***/
    "./src/app/services/import.service.ts":
    /*!********************************************!*\
      !*** ./src/app/services/import.service.ts ***!
      \********************************************/

    /*! exports provided: ImportService */

    /***/
    function srcAppServicesImportServiceTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "ImportService", function () {
        return ImportService;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");
      /* harmony import */


      var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
      /*! @angular/core */
      "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
      /* harmony import */


      var _ionic_angular__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
      /*! @ionic/angular */
      "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
      /* harmony import */


      var _ionic_native_web_server_ngx__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(
      /*! @ionic-native/web-server/ngx */
      "./node_modules/@ionic-native/web-server/__ivy_ngcc__/ngx/index.js");
      /* harmony import */


      var _ionic_native_network_interface_ngx__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(
      /*! @ionic-native/network-interface/ngx */
      "./node_modules/@ionic-native/network-interface/__ivy_ngcc__/ngx/index.js");
      /* harmony import */


      var _utils_env__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(
      /*! ../utils/env */
      "./src/app/utils/env.ts");
      /* harmony import */


      var _utils_array__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(
      /*! ../utils/array */
      "./src/app/utils/array.ts");
      /* harmony import */


      var _utils_mock_kindleServer__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(
      /*! ../utils/mock/kindleServer */
      "./src/app/utils/mock/kindleServer.ts");
      /* harmony import */


      var _utils_mock_kindleClipping__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(
      /*! ../utils/mock/kindleClipping */
      "./src/app/utils/mock/kindleClipping.ts");
      /* harmony import */


      var _storage_service__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(
      /*! ./storage.service */
      "./src/app/services/storage.service.ts");
      /* harmony import */


      var _nav_service__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(
      /*! ./nav.service */
      "./src/app/services/nav.service.ts");
      /* harmony import */


      var _analytics_service__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(
      /*! ./analytics.service */
      "./src/app/services/analytics.service.ts");
      /* harmony import */


      var _helper_import_kindle__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(
      /*! ./helper/import/kindle */
      "./src/app/services/helper/import/kindle.ts");
      /* harmony import */


      var _utils_mock_doubanServer__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(
      /*! ../utils/mock/doubanServer */
      "./src/app/utils/mock/doubanServer.ts");
      /* harmony import */


      var _utils_mock_doubanClipping__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(
      /*! ../utils/mock/doubanClipping */
      "./src/app/utils/mock/doubanClipping.ts");
      /* harmony import */


      var _helper_import_douban__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(
      /*! ./helper/import/douban */
      "./src/app/services/helper/import/douban.ts");
      /* harmony import */


      var _sync_service__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(
      /*! ./sync.service */
      "./src/app/services/sync.service.ts");

      var ImportService = /*#__PURE__*/function () {
        function ImportService(webServer, networkInterface, storage, alert, toast, navService, analytics, loading, sync) {
          _classCallCheck(this, ImportService);

          this.webServer = webServer;
          this.networkInterface = networkInterface;
          this.storage = storage;
          this.alert = alert;
          this.toast = toast;
          this.navService = navService;
          this.analytics = analytics;
          this.loading = loading;
          this.sync = sync;
          this.isServerStarted = false;
          this.port = 8012;
          this.pendingNotes = [];
        }

        _createClass(ImportService, [{
          key: "onLeave",
          value: function onLeave() {
            this._unsubscribeServer();

            this.stopWebServer();
          }
        }, {
          key: "startWebServer",
          value: function startWebServer(importSource, onReceive) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee5() {
              return regeneratorRuntime.wrap(function _callee5$(_context5) {
                while (1) {
                  switch (_context5.prev = _context5.next) {
                    case 0:
                      this.analytics.logEvent('import_notes', 'start_web_server');

                      this._subscribeServer(importSource, onReceive);

                      _context5.prev = 2;
                      _context5.next = 5;
                      return this.webServer.start(this.port);

                    case 5:
                      this.analytics.logEvent('import_notes', 'start_web_server_ok');
                      this.isServerStarted = true;
                      return _context5.abrupt("return", true);

                    case 10:
                      _context5.prev = 10;
                      _context5.t0 = _context5["catch"](2);
                      console.error(_context5.t0);
                      return _context5.abrupt("return", false);

                    case 14:
                    case "end":
                      return _context5.stop();
                  }
                }
              }, _callee5, this, [[2, 10]]);
            }));
          }
        }, {
          key: "stopWebServer",
          value: function stopWebServer() {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee6() {
              return regeneratorRuntime.wrap(function _callee6$(_context6) {
                while (1) {
                  switch (_context6.prev = _context6.next) {
                    case 0:
                      if (!this.isServerStarted) {
                        _context6.next = 11;
                        break;
                      }

                      _context6.prev = 1;

                      this._unsubscribeServer();

                      _context6.next = 5;
                      return this.webServer.stop();

                    case 5:
                      this.isServerStarted = false;
                      _context6.next = 11;
                      break;

                    case 8:
                      _context6.prev = 8;
                      _context6.t0 = _context6["catch"](1);
                      console.error(_context6.t0);

                    case 11:
                    case "end":
                      return _context6.stop();
                  }
                }
              }, _callee6, this, [[1, 8]]);
            }));
          }
        }, {
          key: "getIp",
          value: function getIp() {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee7() {
              var addr;
              return regeneratorRuntime.wrap(function _callee7$(_context7) {
                while (1) {
                  switch (_context7.prev = _context7.next) {
                    case 0:
                      if (!Object(_utils_env__WEBPACK_IMPORTED_MODULE_5__["isDebug"])()) {
                        _context7.next = 2;
                        break;
                      }

                      return _context7.abrupt("return", '');

                    case 2:
                      _context7.next = 4;
                      return this.networkInterface.getWiFiIPAddress();

                    case 4:
                      addr = _context7.sent;

                      if (!(addr.ip === '0.0.0.0')) {
                        _context7.next = 7;
                        break;
                      }

                      return _context7.abrupt("return", null);

                    case 7:
                      return _context7.abrupt("return", addr.ip + ':' + this.port);

                    case 8:
                    case "end":
                      return _context7.stop();
                  }
                }
              }, _callee7, this);
            }));
          } // async confirmImport(notes: Note[]) {
          //   for (let i = 0; i < notes.length; ++i) {
          //     await this.storage.addNote(notes[i], true);
          //   }
          //   arrayUtil.reset(this.pendingNotes);
          //   this.storage.localSave();
          //   // TODO
          //   const syncList = notes.map(note => new ModelOperation(
          //     note, ModelOperationType.Add
          //   ));
          //   // TODO: bug: alert async
          //   const alert = await this.alert.create({
          //     header: '导入笔记成功！',
          //     message: '请在首页的「查看所有图书」查看导入的内容',
          //     // message: `成功导入笔记${importedCnt}条`
          //       // + (duplicateCnt ? `，<br>忽略重复笔记${duplicateCnt}条` : ''),
          //     buttons: [{
          //       role: 'cancel',
          //       text: '好的'
          //     }]
          //   });
          //   await alert.present();
          // }

        }, {
          key: "_isDuplicate",
          value: function _isDuplicate(citation, allNotes) {
            allNotes.forEach(function (note) {
              if (note.citation === citation) {
                return true;
              }
            });
            return false;
          }
        }, {
          key: "_subscribeServer",
          value: function _subscribeServer(importSource, onReceive) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee10() {
              var _this3 = this;

              return regeneratorRuntime.wrap(function _callee10$(_context10) {
                while (1) {
                  switch (_context10.prev = _context10.next) {
                    case 0:
                      if (!Object(_utils_env__WEBPACK_IMPORTED_MODULE_5__["isDebug"])()) {
                        _context10.next = 3;
                        break;
                      }

                      setTimeout(function () {
                        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this3, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee8() {
                          var clipping;
                          return regeneratorRuntime.wrap(function _callee8$(_context8) {
                            while (1) {
                              switch (_context8.prev = _context8.next) {
                                case 0:
                                  clipping = importSource === 'kindle' ? _utils_mock_kindleClipping__WEBPACK_IMPORTED_MODULE_8__["default"] : _utils_mock_doubanClipping__WEBPACK_IMPORTED_MODULE_14__["default"];
                                  _context8.next = 3;
                                  return this._onImport(importSource, clipping);

                                case 3:
                                  onReceive();

                                case 4:
                                case "end":
                                  return _context8.stop();
                              }
                            }
                          }, _callee8, this);
                        }));
                      }, 3000);
                      return _context10.abrupt("return");

                    case 3:
                      this._unsubscribeServer();

                      this.webServerRequstSubscription = this.webServer.onRequest().subscribe(function (req) {
                        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this3, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee9() {
                          var res, data, _res, _res2;

                          return regeneratorRuntime.wrap(function _callee9$(_context9) {
                            while (1) {
                              switch (_context9.prev = _context9.next) {
                                case 0:
                                  if (!(req.path === '/')) {
                                    _context9.next = 5;
                                    break;
                                  }

                                  res = {
                                    status: 200,
                                    body: importSource === 'kindle' ? _utils_mock_kindleServer__WEBPACK_IMPORTED_MODULE_7__["default"] : _utils_mock_doubanServer__WEBPACK_IMPORTED_MODULE_13__["default"],
                                    headers: {
                                      'Content-Type': 'text/html',
                                      'Access-Control-Allow-Origin': '*'
                                    }
                                  };
                                  this.webServer.sendResponse(req.requestId, res);
                                  _context9.next = 17;
                                  break;

                                case 5:
                                  if (!(req.method === 'POST' && (req.path === '/importKindle' || req.path === '/importDouban'))) {
                                    _context9.next = 17;
                                    break;
                                  }

                                  data = getPostData(req.body);

                                  if (data) {
                                    _context9.next = 12;
                                    break;
                                  }

                                  _res = {
                                    status: 400,
                                    body: "{\n                message: \"Bad post data.\"\n              }",
                                    headers: {
                                      'Content-Type': 'text/json',
                                      'Access-Control-Allow-Origin': '*'
                                    }
                                  };
                                  this.webServer.sendResponse(req.requestId, _res);
                                  _context9.next = 17;
                                  break;

                                case 12:
                                  _res2 = {
                                    status: 200,
                                    body: "{\n                message: \"Notes received.\"\n              }",
                                    headers: {
                                      'Content-Type': 'text/json',
                                      'Access-Control-Allow-Origin': '*'
                                    }
                                  };
                                  this.webServer.sendResponse(req.requestId, _res2);
                                  _context9.next = 16;
                                  return this._onImport(importSource, data);

                                case 16:
                                  onReceive();

                                case 17:
                                case "end":
                                  return _context9.stop();
                              }
                            }
                          }, _callee9, this);
                        }));
                      });

                    case 5:
                    case "end":
                      return _context10.stop();
                  }
                }
              }, _callee10, this);
            }));
          }
        }, {
          key: "_onImport",
          value: function _onImport(importSource, clipping) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee11() {
              var loading, pendingNotes, alert;
              return regeneratorRuntime.wrap(function _callee11$(_context11) {
                while (1) {
                  switch (_context11.prev = _context11.next) {
                    case 0:
                      _context11.next = 2;
                      return this.loading.create({
                        message: '接收到文件，处理中……'
                      });

                    case 2:
                      loading = _context11.sent;

                      _utils_array__WEBPACK_IMPORTED_MODULE_6__["reset"](this.pendingNotes);

                      _context11.prev = 4;
                      pendingNotes = [];
                      _context11.t0 = importSource;
                      _context11.next = _context11.t0 === 'kindle' ? 9 : _context11.t0 === 'douban' ? 13 : 17;
                      break;

                    case 9:
                      _context11.next = 11;
                      return Object(_helper_import_kindle__WEBPACK_IMPORTED_MODULE_12__["default"])(clipping, this.storage);

                    case 11:
                      pendingNotes = _context11.sent;
                      return _context11.abrupt("break", 17);

                    case 13:
                      _context11.next = 15;
                      return Object(_helper_import_douban__WEBPACK_IMPORTED_MODULE_15__["default"])(clipping, this.storage);

                    case 15:
                      pendingNotes = _context11.sent;
                      return _context11.abrupt("break", 17);

                    case 17:
                      _utils_array__WEBPACK_IMPORTED_MODULE_6__["restore"](this.pendingNotes, pendingNotes);

                      _context11.next = 27;
                      break;

                    case 20:
                      _context11.prev = 20;
                      _context11.t1 = _context11["catch"](4);
                      _context11.next = 24;
                      return this.alert.create({
                        header: '导入失败！',
                        message: '请联系管理员 me@zhangwenli.com',
                        buttons: [{
                          role: 'cancel',
                          text: '好的'
                        }]
                      });

                    case 24:
                      alert = _context11.sent;
                      _context11.next = 27;
                      return alert.present();

                    case 27:
                      _context11.next = 29;
                      return loading.dismiss();

                    case 29:
                      this.analytics.logNav('import_notes', 'import_note_result');
                      this.navService.push('/import-note-result');

                    case 31:
                    case "end":
                      return _context11.stop();
                  }
                }
              }, _callee11, this, [[4, 20]]);
            }));
          }
        }, {
          key: "_unsubscribeServer",
          value: function _unsubscribeServer() {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee12() {
              return regeneratorRuntime.wrap(function _callee12$(_context12) {
                while (1) {
                  switch (_context12.prev = _context12.next) {
                    case 0:
                      if (this.webServerRequstSubscription) {
                        this.webServerRequstSubscription.unsubscribe();
                      }

                    case 1:
                    case "end":
                      return _context12.stop();
                  }
                }
              }, _callee12, this);
            }));
          }
        }]);

        return ImportService;
      }();

      ImportService.ctorParameters = function () {
        return [{
          type: _ionic_native_web_server_ngx__WEBPACK_IMPORTED_MODULE_3__["WebServer"]
        }, {
          type: _ionic_native_network_interface_ngx__WEBPACK_IMPORTED_MODULE_4__["NetworkInterface"]
        }, {
          type: _storage_service__WEBPACK_IMPORTED_MODULE_9__["StorageService"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["AlertController"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ToastController"]
        }, {
          type: _nav_service__WEBPACK_IMPORTED_MODULE_10__["NavService"]
        }, {
          type: _analytics_service__WEBPACK_IMPORTED_MODULE_11__["AnalyticsService"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["LoadingController"]
        }, {
          type: _sync_service__WEBPACK_IMPORTED_MODULE_16__["SyncService"]
        }];
      };

      ImportService = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
        providedIn: 'root'
      })], ImportService);

      function getPostData(body) {
        if (!body) {
          return null;
        }

        try {
          var obj = JSON.parse(body);
          return obj.text;
        } catch (e) {
          return null;
        }
      }
      /***/

    },

    /***/
    "./src/app/utils/mock/doubanClipping.ts":
    /*!**********************************************!*\
      !*** ./src/app/utils/mock/doubanClipping.ts ***!
      \**********************************************/

    /*! exports provided: default */

    /***/
    function srcAppUtilsMockDoubanClippingTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony default export */


      __webpack_exports__["default"] = "#\u300A\u76AE\u683C\u9A6C\u5229\u7FC1\u6548\u5E94\u300B\u7684\u6279\u6CE8\u4E0E\u5212\u7EBF\n\n\u5728\u8C46\u74E3\u9605\u8BFB\u4E66\u5E97\u67E5\u770B\uFF1A https://read.douban.com/ebook/18109716/\n\u672C\u4F5C\u54C1\u7531 \u534E\u7AE0\u6570\u5A92 \u6388\u6743\u8C46\u74E3\u9605\u8BFB\u5168\u7403\u8303\u56F4\u5185\u7535\u5B50\u7248\u5236\u4F5C\u4E0E\u53D1\u884C\u3002\n\xA9 \u7248\u6743\u6240\u6709\uFF0C\u4FB5\u6743\u5FC5\u7A76\u3002\n\n\n## \u7AE0\u8282\uFF1A\u81F4\u8C22\n\n\n> \u53EA\u6709\u68C0\u9A8C\u8FDB\u884C\u4E2D\u7684\u771F\u5B9E\u751F\u6D3B\uFF0C\u624D\u80FD\u63A8\u8FDB\u5BF9\u4EBA\u7C7B\u4F53\u9A8C\u7684\u7406\u89E3\u3002\u4F46\u662F\u8FD9\u5E76\u975E\u6CA1\u6709\u4EE3\u4EF7\u3002\n\n\n> \u53EA\u6709\u68C0\u9A8C\u8FDB\u884C\u4E2D\u7684\u771F\u5B9E\u751F\u6D3B\uFF0C\u624D\u80FD\u63A8\u8FDB\u5BF9\u4EBA\u7C7B\u4F53\u9A8C\u7684\u7406\u89E3\u3002\u4F46\u662F\u8FD9\u5E76\u975E\u6CA1\u6709\u4EE3\u4EF7\u3002\n\n\u8FD9\u662F\u6211\u7684\u611F\u60F3\u3002\n\n\n> \u6211\u611F\u8C22\u8036\u8DEF\u6492\u51B7\u5E0C\u4F2F\u6765\u5927\u5B66\u9AD8\u7EA7\u7814\u7A76\u9662\n\n\u7B2C\u4E8C\u4E2A\u611F\u60F3  \u611F\u60F3\u4E2D\u95F4\u53EF\u80FD\u6362\u884C\u3002   \u4E5F\u53EF\u80FD\u6362\u5F88\u591A\u884C\u3002\n\n\n## \u7AE0\u8282\uFF1A\u8BD1\u8005\u540E\u8BB0\n\n\n> \u672C\u4E66\u7B2C\u4E00\u3001\u7B2C\u4E8C\u3001\u7B2C\u4E09\u3001\u7B2C\u56DB\u3001\u7B2C\u516D\u7AE0\u4E3B\u8981\u662F\u7531\u9AD8\u6995\u7FFB\u8BD1\uFF0C\u7B2C\u4E94\u3001\u7B2C\u4E03\u7AE0\u7531\u6E29\u65FB\u7FFB\u8BD1\uFF0C\u6E29\u65FB\u5BF9\u5168\u4E66\u505A\u4E86\u7EDF\u7A3F\u3002\u9274\u4E8E\u6C34\u5E73\u6240\u9650\uFF0C\u758F\u6F0F\u8C2C\u8BEF\u4E4B\u5904\u8BF7\u5404\u4F4D\u8BFB\u8005\u89C1\u8C05\u5E76\u6307\u6B63\u3002\n\n\n> \u76AE\u683C\u9A6C\u5229\u7FC1\u521B\u9020\u4E86\u5C11\u5973\u96D5\u50CF\uFF0C\u5E76\u7231\u4E0A\u4E86\u5979\u3002\u5E0C\u671B\u6709\u5174\u8DA3\u7684\u8BFB\u8005\u80FD\u628A\u8FD9\u672C\u4E66\u5E26\u56DE\u53BB\uFF0C\u5728\u9605\u8BFB\u4E2D\u559C\u6B22\u4E0A\u5B83\u3002";
      /***/
    },

    /***/
    "./src/app/utils/mock/doubanServer.ts":
    /*!********************************************!*\
      !*** ./src/app/utils/mock/doubanServer.ts ***!
      \********************************************/

    /*! exports provided: default */

    /***/
    function srcAppUtilsMockDoubanServerTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony default export */


      __webpack_exports__["default"] = "\n<!DOCTYPE html>\n<html lang=\"en\">\n\n<head>\n  <meta charset=\"UTF-8\">\n  <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n  <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n  <title>\u4F17\u5C71\u5C0F \xB7 \u5BFC\u5165\u8C46\u74E3\u9605\u8BFB\u7B14\u8BB0</title>\n\n  <style>\n    body {\n      background: #FAFBFF;\n      padding: 20px 40px;\n    }\n\n    .content {\n      max-width: 600px;\n      margin: 0 auto;\n    }\n\n    h1 {\n      text-align: center;\n      color: #2B3C87;\n      font-size: 22px;\n      margin: 30px 0 50px 0;\n    }\n\n    h2 {\n      margin: 20px 0 10px 0;\n      font-size: 18px;\n      color: #2A3566;\n    }\n\n    #drag-file {\n      width: 100%;\n      height: 130px;\n      margin: 20px 0;\n      padding: 50px;\n      box-sizing: border-box;\n      border-radius: 12px;\n      background: none;\n      text-align: center;\n      border: 2px dashed #DFE5F6;\n      background-color: #FAFBFF;\n      color: #4853A7;\n    }\n\n    .center {\n      text-align: center;\n    }\n\n    #upload {\n      display: none;\n    }\n\n    button {\n      padding: 10px 50px;\n      font-size: 16px;\n      border-radius: 8px;\n      border: none;\n      color: #fff;\n      background-color: #4853A7;\n    }\n\n    p {\n      margin: 20px 0 5px 0;\n      color: #7B8095;\n    }\n  </style>\n</head>\n\n<body ondrop=\"dropHandler(event)\" ondragover=\"dragOverHandler(event)\">\n  <div class=\"content\">\n    <h1>\u4F17\u5C71\u5C0F \xB7 \u5BFC\u5165\u8C46\u74E3\u9605\u8BFB\u7B14\u8BB0</h1>\n\n    <h2>\u7B2C\u4E00\u6B65\uFF1A\u5728\u7535\u8111\u4E0A\u8BBF\u95EE\u8C46\u74E3\u9605\u8BFB\uFF0C\u6253\u5F00\u4E00\u672C\u51C6\u5907\u5BFC\u51FA\u7B14\u8BB0\u7684\u4E66</h2>\n\n    <h2>\u7B2C\u4E8C\u6B65\uFF1A\u70B9\u51FB\u53F3\u4E0A\u89D2\u300C\u6279\u6CE8\u548C\u5212\u7EBF\u300D</h2>\n\n    <h2>\u7B2C\u4E09\u6B65\uFF1A\u70B9\u51FB\u6B63\u6587\u6700\u4E0B\u65B9\u300C\u5BFC\u51FA\u6240\u6709\u7B14\u8BB0\u300D</h2>\n\n    <h2>\u7B2C\u56DB\u6B65\uFF1A\u52FE\u9009\u300C\u7EAF\u6587\u672C\u300D\uFF0C\u70B9\u51FB\u4E0B\u8F7D</h2>\n\n    <h2>\u7B2C\u4E94\u6B65\uFF1A\u5C06\u4E0B\u8F7D\u7684 .txt \u6587\u4EF6\u62D6\u52A8\u5230\u4E0B\u65B9</h2>\n\n    <div id=\"drag-file\">\n      \u8BF7\u5C06\u4E0B\u8F7D\u7684 .txt \u6587\u4EF6\u62D6\u52A8\u81F3\u6B64\n    </div>\n\n    <h2>\u7B2C\u516D\u6B65\uFF1A\u540C\u6B65\u81F3\u624B\u673A</h2>\n\n    <div id=\"upload\" class=\"center\">\n      <p>\u91CD\u590D\u7B14\u8BB0\u5C06\u88AB\u81EA\u52A8\u5FFD\u7565</p>\n      <button onclick=\"send()\">\u540C\u6B65\u81F3\u624B\u673A</button>\n    </div>\n  </div>\n\n  <script>\n    var doubanText;\n\n    function dropHandler(event) {\n      var file = event.dataTransfer.files[0];\n      reader = new FileReader();\n      reader.onload = function (event) {\n        doubanText = event.target.result;\n\n        var upload = document.getElementById('upload');\n        upload.style.display = 'block';\n\n        var drag = document.getElementById('drag-file');\n        drag.style.display = 'none';\n      };\n\n      reader.onerror = function (err) {\n        console.error(err);\n        alert('\u6253\u5F00\u6587\u4EF6\u5931\u8D25\uFF01');\n      };\n\n      reader.readAsText(file);\n      event.preventDefault();\n    }\n\n    function dragOverHandler(event) {\n      // console.log(event);\n      event.preventDefault();\n    }\n\n    function send() {\n      if (doubanText) {\n        var upload = document.getElementById('upload');\n        upload.style.display = 'none';\n        var success = function () {\n          alert('\u5BFC\u5165\u7B14\u8BB0\u5B8C\u6210\uFF01');\n        };\n        var fail = function () {\n          var drag = document.getElementById('drag-file');\n          drag.style.display = 'block';\n          alert('\u5BFC\u5165\u6570\u636E\u5931\u8D25\uFF01');\n        };\n        post('importDouban', { text: doubanText }, success, fail);\n      }\n      else {\n        var drag = document.getElementById('drag-file');\n        drag.style.display = 'block';\n        alert('\u9519\u8BEF\uFF1A\u6CA1\u6709\u6570\u636E\uFF01');\n      }\n    }\n\n    function post(url, data, success, fail) {\n      var request = new XMLHttpRequest();\n      request.onreadystatechange = function () {\n        if (request.readyState === 4) {\n          if (request.status === 200) {\n            success(request.responseText);\n          } else {\n            console.error(request);\n            fail(request.status);\n          }\n        }\n      };\n      var ip = location.href + url;\n      request.open('POST', ip);\n      request.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');\n      request.send(JSON.stringify(data));\n    }\n  </script>\n\n</body>\n\n</html>\n";
      /***/
    },

    /***/
    "./src/app/utils/mock/kindleClipping.ts":
    /*!**********************************************!*\
      !*** ./src/app/utils/mock/kindleClipping.ts ***!
      \**********************************************/

    /*! exports provided: default */

    /***/
    function srcAppUtilsMockKindleClippingTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony default export */


      __webpack_exports__["default"] = "\u6211\u4EEC\u65F6\u4EE3\u7684\u795E\u7ECF\u75C7\u4EBA\u683C\uFF08\u5361\u4F26\xB7\u970D\u59AE\u4F5C\u54C1\uFF09\uFF08\u4E0E\u8363\u683C\u3001\u963F\u5FB7\u52D2\u3001\u5F17\u6D1B\u59C6\u9F50\u540D\u7684\u5FC3\u7406\u5B66\u5927\u5E08\uFF0C\u65B0\u5F17\u6D1B\u4F0A\u5FB7\u5B66\u6D3E\u4EE3\u8868\u4EBA\u7269\uFF0C\u552F\u4E00\u5F00\u521B\u4E00\u4E2A\u7CBE\u795E\u5206\u6790\u601D\u60F3\u6D41\u6D3E\u7684\u5973\u5B66\u8005\uFF09 (\u5361\u4F26\xB7\u970D\u5C3C\u4F5C\u54C1\u96C6) (\u5361\u4F26\xB7\u970D\u59AE)\n- \u60A8\u5728\u4F4D\u7F6E #323-325\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2016\u5E7412\u670815\u65E5\u661F\u671F\u56DB \u4E0B\u53489:16:00\n\n\u795E\u7ECF\u75C7\u4E43\u662F\u4E00\u79CD\u7531\u6050\u60E7\uFF0C\u7531\u5BF9\u6297\u8FD9\u4E9B\u6050\u60E7\u7684\u9632\u5FA1\u63AA\u65BD\uFF0C\u7531\u4E3A\u4E86\u7F13\u548C\u5185\u5728\u51B2\u7A81\u800C\u5BFB\u6C42\u59A5\u534F\u89E3\u51B3\u7684\u79CD\u79CD\u52AA\u529B\u6240\u5BFC\u81F4\u7684\u5FC3\u7406\u7D0A\u4E71\u3002\u4ECE\u5B9E\u9645\u7684\u89D2\u5EA6\u8003\u8651\uFF0C\u53EA\u6709\u5F53\u8FD9\u79CD\u5FC3\u7406\u7D0A\u4E71\u504F\u79BB\u4E86\u7279\u5B9A\u6587\u5316\u4E2D\u5171\u540C\u7684\u6A21\u5F0F\uFF0C\u6211\u4EEC\u624D\u5E94\u8BE5\u5C06\u5B83\u53EB\u4F5C\u795E\u7ECF\u75C7\u3002\n==========\n\u6211\u4EEC\u65F6\u4EE3\u7684\u795E\u7ECF\u75C7\u4EBA\u683C\uFF08\u5361\u4F26\xB7\u970D\u59AE\u4F5C\u54C1\uFF09\uFF08\u4E0E\u8363\u683C\u3001\u963F\u5FB7\u52D2\u3001\u5F17\u6D1B\u59C6\u9F50\u540D\u7684\u5FC3\u7406\u5B66\u5927\u5E08\uFF0C\u65B0\u5F17\u6D1B\u4F0A\u5FB7\u5B66\u6D3E\u4EE3\u8868\u4EBA\u7269\uFF0C\u552F\u4E00\u5F00\u521B\u4E00\u4E2A\u7CBE\u795E\u5206\u6790\u601D\u60F3\u6D41\u6D3E\u7684\u5973\u5B66\u8005\uFF09 (\u5361\u4F26\xB7\u970D\u5C3C\u4F5C\u54C1\u96C6) (\u5361\u4F26\xB7\u970D\u59AE)\n- \u60A8\u5728\u4F4D\u7F6E #1072-1080\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2016\u5E7412\u670815\u65E5\u661F\u671F\u56DB \u4E0B\u53489:17:29\n\n\u5982\u679C\u795E\u7ECF\u75C7\u75C5\u4EBA\u7684\u5FC3\u7406\u72B6\u51B5\u6B63\u5982\u4ED6\u5FC3\u76EE\u4E2D\u7ECF\u5E38\u60F3\u8C61\u7684\u90A3\u6837\uFF0C\u90A3\u4E48\uFF0C\u4ED6\u8981\u5F97\u5230\u7231\u5C31\u5E94\u8BE5\u662F\u4E00\u4EF6\u975E\u5E38\u5BB9\u6613\u7684\u4E8B\u60C5\u3002\u5982\u679C\u8981\u6211\u5927\u81F4\u5730\u8BF4\u51FA\u795E\u7ECF\u75C7\u75C5\u4EBA\u5FC3\u4E2D\u7684\u611F\u89C9\u548C\u5370\u8C61\uFF0C\u90A3\u5C31\u6709\u4E9B\u7C7B\u4F3C\u4E0B\u9762\u8FD9\u6837\u7684\u60C5\u51B5\uFF1A\u6211\u6240\u9700\u8981\u7684\u662F\u5982\u6B64\u5FAE\u4E4E\u5176\u5FAE\uFF0C\u4E0D\u8FC7\u662F\u5E0C\u671B\u4ED6\u4EBA\u5E94\u8BE5\u5BF9\u6211\u53CB\u597D\uFF0C\u5E94\u8BE5\u7ED9\u6211\u4EE5\u5584\u610F\u7684\u5EFA\u8BAE\uFF0C\u5E94\u8BE5\u540C\u60C5\u548C\u7406\u89E3\u6211\u8FD9\u6837\u4E00\u4E2A\u53EF\u601C\u7684\u3001\u65E0\u5BB3\u7684\u3001\u5B64\u5BC2\u7684\u7075\u9B42\uFF1B\u6211\u53EA\u662F\u6025\u5207\u5730\u5E0C\u671B\u7ED9\u4ED6\u4EBA\u4EE5\u5FEB\u4E50\uFF0C\u5E76\u4E0D\u6025\u5207\u5730\u5E0C\u671B\u4F24\u5BB3\u4EFB\u4F55\u4EBA\u7684\u611F\u60C5\u3002\u8FD9\u5C31\u662F\u4ED6\u5FC3\u76EE\u4E2D\u6240\u60F3\u8C61\u6240\u611F\u89C9\u7684\u4E00\u5207\u3002\u4ED6\u5E76\u6CA1\u6709\u610F\u8BC6\u5230\u4ED6\u7684\u654F\u611F\u3001\u4ED6\u7684\u6F5C\u5728\u7684\u654C\u610F\u3001\u4ED6\u7684\u82DB\u523B\u7684\u8981\u6C42\u662F\u5982\u4F55\u4E25\u91CD\u5730\u5E72\u6270\u4E86\u4ED6\u81EA\u5DF1\u4E0E\u4ED6\u4EBA\u7684\u5173\u7CFB\uFF1B\u4ED6\u4E5F\u4E0D\u53EF\u80FD\u6B63\u786E\u5730\u5224\u65AD\u4ED6\u7ED9\u522B\u4EBA\u7559\u4E0B\u7684\u5370\u8C61\uFF0C\u4EE5\u53CA\u522B\u4EBA\u5BF9\u4ED6\u505A\u51FA\u7684\u53CD\u5E94\u3002\u56E0\u6B64\uFF0C\u4ED6\u81EA\u7136\u611F\u5230\u832B\u7136\u4E0D\u89E3\uFF1A\u4E3A\u4EC0\u4E48\u4ED6\u7684\u53CB\u8C0A\u3001\u5A5A\u59FB\u3001\u7231\u60C5\u3001\u5DE5\u4F5C\u3001\u4E8B\u4E1A\u90FD\u7ECF\u5E38\u4E0D\u4EE4\u4EBA\u6EE1\u610F\u3002\u4ED6\u5F80\u5F80\u628A\u8FD9\u4E00\u5207\u5F52\u7ED3\u4E8E\u4ED6\u4EBA\u7684\u9519\u8BEF\uFF0C\u8BA4\u4E3A\u662F\u4ED6\u4EEC\u4E0D\u4F53\u8C05\u3001\u4E0D\u5FE0\u8D1E\u3001\u4E0D\u9053\u5FB7\u7684\u7F18\u6545\uFF0C\u6216\u8005\u5C31\u662F\u67D0\u4E9B\u6DF1\u4E0D\u53EF\u6D4B\u7684\u539F\u56E0\u4F7F\u4ED6\u4E0D\u5177\u5907\u53D7\u5927\u4F17\u6B22\u8FCE\u7684\u5929\u8D4B\u3002\u56E0\u6B64\u4ED6\u59CB\u7EC8\u4E0D\u65AD\u5730\u8FFD\u9010\u7231\u7684\u5E7B\u8C61\u3002\n==========\n\u6211\u4EEC\u65F6\u4EE3\u7684\u795E\u7ECF\u75C7\u4EBA\u683C\uFF08\u5361\u4F26\xB7\u970D\u59AE\u4F5C\u54C1\uFF09\uFF08\u4E0E\u8363\u683C\u3001\u963F\u5FB7\u52D2\u3001\u5F17\u6D1B\u59C6\u9F50\u540D\u7684\u5FC3\u7406\u5B66\u5927\u5E08\uFF0C\u65B0\u5F17\u6D1B\u4F0A\u5FB7\u5B66\u6D3E\u4EE3\u8868\u4EBA\u7269\uFF0C\u552F\u4E00\u5F00\u521B\u4E00\u4E2A\u7CBE\u795E\u5206\u6790\u601D\u60F3\u6D41\u6D3E\u7684\u5973\u5B66\u8005\uFF09 (\u5361\u4F26\xB7\u970D\u5C3C\u4F5C\u54C1\u96C6) (\u5361\u4F26\xB7\u970D\u59AE)\n- \u60A8\u5728\u4F4D\u7F6E #1107-1108\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2016\u5E7412\u670815\u65E5\u661F\u671F\u56DB \u4E0B\u53489:21:03\n\n\u7231\u548C\u5BF9\u7231\u7684\u75C5\u6001\u9700\u8981\u8FD9\u4E24\u8005\u4E4B\u95F4\u7684\u5DEE\u522B\u5C31\u5728\u4E8E\uFF1A\u5728\u771F\u6B63\u7684\u7231\u4E2D\uFF0C\u7231\u7684\u611F\u53D7\u662F\u6700\u4E3B\u8981\u7684\uFF1B\u800C\u5728\u75C5\u6001\u7684\u7231\u4E2D\uFF0C\u6700\u4E3B\u8981\u7684\u611F\u53D7\u4E43\u662F\u5B89\u5168\u611F\u7684\u9700\u8981\uFF0C\u7231\u7684\u9519\u89C9\u4E0D\u8FC7\u662F\u6B21\u8981\u7684\u611F\u53D7\u7F62\u4E86\u3002\n==========\n\u6211\u4EEC\u65F6\u4EE3\u7684\u795E\u7ECF\u75C7\u4EBA\u683C\uFF08\u5361\u4F26\xB7\u970D\u59AE\u4F5C\u54C1\uFF09\uFF08\u4E0E\u8363\u683C\u3001\u963F\u5FB7\u52D2\u3001\u5F17\u6D1B\u59C6\u9F50\u540D\u7684\u5FC3\u7406\u5B66\u5927\u5E08\uFF0C\u65B0\u5F17\u6D1B\u4F0A\u5FB7\u5B66\u6D3E\u4EE3\u8868\u4EBA\u7269\uFF0C\u552F\u4E00\u5F00\u521B\u4E00\u4E2A\u7CBE\u795E\u5206\u6790\u601D\u60F3\u6D41\u6D3E\u7684\u5973\u5B66\u8005\uFF09 (\u5361\u4F26\xB7\u970D\u5C3C\u4F5C\u54C1\u96C6) (\u5361\u4F26\xB7\u970D\u59AE)\n- \u60A8\u5728\u4F4D\u7F6E #1109-1114\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2016\u5E7412\u670815\u65E5\u661F\u671F\u56DB \u4E0B\u53489:22:01\n\n\u5982\u679C\u4E00\u4E2A\u4EBA\u9700\u8981\u53E6\u4E00\u4E2A\u4EBA\u7684\u7231\u662F\u4E3A\u4E86\u83B7\u5F97\u5BF9\u6297\u7126\u8651\u7684\u5B89\u5168\u611F\uFF0C\u5219\u5728\u4ED6\u7684\u81EA\u89C9\u610F\u8BC6\u4E2D\uFF0C\u95EE\u9898\u5F80\u5F80\u88AB\u5B8C\u5168\u6405\u548C\u5728\u4E00\u8D77\u3002\u56E0\u4E3A\u603B\u7684\u8BF4\u6765\uFF0C\u4ED6\u5E76\u4E0D\u77E5\u9053\u81EA\u5DF1\u5185\u5FC3\u5145\u6EE1\u4E86\u7126\u8651\uFF0C\u4E0D\u77E5\u9053\u81EA\u5DF1\u56E0\u6B64\u800C\u4E0D\u987E\u4E00\u5207\u5730\u8981\u6293\u4F4F\u4EFB\u4F55\u4E00\u79CD\u7231\u4EE5\u83B7\u5F97\u5B89\u5168\u611F\u3002\u4ED6\u80FD\u591F\u611F\u89C9\u5230\u7684\u4EC5\u4EC5\u662F\uFF1A\u6211\u559C\u6B22\u8FD9\u4E2A\u4EBA\uFF0C\u6211\u4FE1\u4EFB\u8FD9\u4E2A\u4EBA\uFF0C\u6211\u5B8C\u5168\u88AB\u4ED6\u8FF7\u4E0A\u4E86\u3002\u7136\u800C\uFF0C\u4ED6\u8FD9\u79CD\u81EA\u5DF1\u89C9\u5F97\u662F\u53D1\u81EA\u5185\u5FC3\u7684\u7231\uFF0C\u5374\u5F88\u53EF\u80FD\u53EA\u4E0D\u8FC7\u662F\u5BF9\u67D0\u79CD\u4EC1\u6148\u6240\u4EA7\u751F\u7684\u611F\u6FC0\uFF0C\u6216\u53EA\u4E0D\u8FC7\u662F\u7531\u67D0\u4E2A\u4EBA\u3001\u67D0\u79CD\u60C5\u5883\u6240\u5524\u8D77\u7684\u5E0C\u671B\u548C\u6E29\u60C5\u3002\u90A3\u4E2A\u6216\u660E\u6216\u6697\u5730\u5728\u4ED6\u8EAB\u4E0A\u5524\u8D77\u4E86\u8FD9\u79CD\u5E0C\u671B\u7684\u4EBA\uFF0C\u4E0D\u77E5\u4E0D\u89C9\u5730\u88AB\u4ED6\u8D4B\u4E88\u4E86\u67D0\u79CD\u91CD\u8981\u6027\uFF0C\u800C\u4ED6\u5BF9\u90A3\u4EBA\u7684\u611F\u60C5\u5219\u4F1A\u8868\u73B0\u4E3A\u7231\u7684\u9519\u89C9\u3002\n==========\n\u6211\u4EEC\u65F6\u4EE3\u7684\u795E\u7ECF\u75C7\u4EBA\u683C\uFF08\u5361\u4F26\xB7\u970D\u59AE\u4F5C\u54C1\uFF09\uFF08\u4E0E\u8363\u683C\u3001\u963F\u5FB7\u52D2\u3001\u5F17\u6D1B\u59C6\u9F50\u540D\u7684\u5FC3\u7406\u5B66\u5927\u5E08\uFF0C\u65B0\u5F17\u6D1B\u4F0A\u5FB7\u5B66\u6D3E\u4EE3\u8868\u4EBA\u7269\uFF0C\u552F\u4E00\u5F00\u521B\u4E00\u4E2A\u7CBE\u795E\u5206\u6790\u601D\u60F3\u6D41\u6D3E\u7684\u5973\u5B66\u8005\uFF09 (\u5361\u4F26\xB7\u970D\u5C3C\u4F5C\u54C1\u96C6) (\u5361\u4F26\xB7\u970D\u59AE)\n- \u60A8\u5728\u4F4D\u7F6E #1118-1121\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2016\u5E7412\u670815\u65E5\u661F\u671F\u56DB \u4E0B\u53489:23:12\n\n\u800C\u5B9E\u9645\u4E0A\u8FD9\u79CD\u7231\uFF0C\u53EA\u4E0D\u8FC7\u662F\u4E00\u4E2A\u4EBA\u4E3A\u6EE1\u8DB3\u81EA\u5DF1\u7684\u9700\u8981\u800C\u7D27\u7D27\u6293\u4F4F\u5BF9\u65B9\u4E0D\u653E\u3002\u8FD9\u5E76\u4E0D\u662F\u771F\u6B63\u53EF\u9760\u7684\u7231\u60C5\uFF0C\u4E00\u65E6\u81EA\u5DF1\u7684\u613F\u671B\u5F97\u4E0D\u5230\u6EE1\u8DB3\uFF0C\u8FD9\u79CD\u611F\u60C5\u5C31\u968F\u65F6\u53EF\u80FD\u53D1\u751F\u5267\u70C8\u7684\u8F6C\u53D8\u3002\u60C5\u611F\u7684\u53EF\u9760\u6027\u548C\u575A\u5B9A\u6027\u2014\u2014\u6211\u4EEC\u7231\u60C5\u89C2\u4E2D\u7684\u4E00\u4E2A\u57FA\u672C\u56E0\u7D20\u2014\u2014\u5728\u8FD9\u79CD\u60C5\u51B5\u4E0B\u662F\u6839\u672C\u4E0D\u5B58\u5728\u7684\u3002\n==========\n\u6D6E\u751F\u53D6\u4E49:\u5BF9\u534E\u5317\u67D0\u53BF\u81EA\u6740\u73B0\u8C61\u7684\u6587\u5316\u89E3\u8BFB\uFF08\u56FE\u6587\u7248\uFF09 (\u65B0\u53F2\u5B66&\u591A\u5143\u5BF9\u8BDD\u7CFB\u5217) (\u5434\u98DE)\n- \u60A8\u5728\u4F4D\u7F6E #567-568\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2016\u5E7412\u670820\u65E5\u661F\u671F\u4E8C \u4E0A\u53489:48:55\n\n\u5982\u679C\u54EA\u4E2A\u793E\u4F1A\u4E2D\u5B8C\u5168\u6CA1\u6709\u81EA\u6740\uFF0C\u4ECE\u800C\u6839\u672C\u4E0D\u5B58\u5728\u8FD9\u6837\u7684\u4EBA\uFF0C\u4EBA\u4EEC\u4E0D\u4F1A\u8BA4\u4E3A\u6709\u4EC0\u4E48\u4EF7\u503C\u6BD4\u751F\u547D\u8FD8\u91CD\u8981\uFF0C\u90A3\u4E48\uFF0C\u8FD9\u4E2A\u793E\u4F1A\u6BD4\u9AD8\u81EA\u6740\u7387\u7684\u793E\u4F1A\u8FD8\u8981\u5371\u9669\u3002\n==========\n\u4EBA\u751F\u7684\u667A\u6167 (\u53D4\u672C\u534E(Arthur Schopenhauer))\n- \u60A8\u5728\u4F4D\u7F6E #969-973\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2016\u5E7412\u670820\u65E5\u661F\u671F\u4E8C \u4E0B\u534810:07:52\n\n\u865A\u8363\u548C\u9A84\u50B2\u4E4B\u95F4\u7684\u5DEE\u522B\u5728\u4E8E\uFF1A\u9A84\u50B2\u5C31\u662F\u786E\u4FE1\u81EA\u5DF1\u62E5\u6709\u67D0\u4E00\u65B9\u9762\u7684\u7A81\u51FA\u4EF7\u503C\uFF0C\u4F46\u865A\u8363\u5219\u5C3D\u529B\u8BA9\u522B\u4EBA\u786E\u4FE1\u81EA\u5DF1\u62E5\u6709\u67D0\u4E00\u65B9\u9762\u7684\u7A81\u51FA\u4EF7\u503C\u3002\u5728\u5927\u591A\u6570\u7684\u60C5\u51B5\u4E0B\uFF0C\u4F34\u968F\u7740\u865A\u8363\u7684\u8FD8\u6709\u8FD9\u6837\u4E00\u4E2A\u9690\u85CF\u7740\u7684\u5E0C\u671B\uFF1A\u901A\u8FC7\u5524\u8D77\u522B\u4EBA\u7684\u786E\u4FE1\uFF0C\u80FD\u591F\u4F7F\u81EA\u5DF1\u771F\u7684\u62E5\u6709\u8FD9\u4E00\u4EFD\u786E\u4FE1\u3002\u56E0\u6B64\uFF0C\u9A84\u50B2\u662F\u53D1\u81EA\u5185\u5728\u7684\u3001\u76F4\u63A5\u7684\u81EA\u6211\u656C\u91CD\uFF1B\u800C\u865A\u8363\u5219\u662F\u4ECE\u5916\u5728\u3001\u56E0\u800C\u662F\u95F4\u63A5\u5730\u52AA\u529B\u8BD5\u56FE\u83B7\u5F97\u8FD9\u4E00\u81EA\u6211\u656C\u91CD\u3002\n==========\n\u5982\u4F55\u9605\u8BFB\u4E00\u672C\u6587\u5B66\u4E66 (\u6258\u9A6C\u65AF\xB7\u798F\u65AF\u7279)\n- \u60A8\u5728\u4F4D\u7F6E #50-54\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2017\u5E741\u67089\u65E5\u661F\u671F\u4E00 \u4E0A\u53481:07:57\n\n\u5982\u679C\u4F60\u4F5C\u4E3A\u8001\u5E08\u6216\u5B66\u751F\u4E0A\u8FC7\u6587\u5B66\u8BFE\uFF0C\u4F60\u5C31\u77E5\u9053\u662F\u600E\u4E48\u56DE\u4E8B\u3002\u6709\u65F6\u4EFF\u4F5B\u8001\u5E08\u662F\u5728\u6355\u98CE\u6349\u5F71\uFF0C\u7275\u5F3A\u9644\u4F1A\uFF0C\u6216\u8005\u662F\u6545\u5F04\u7384\u865A\uFF0C\u5356\u5F04\u6280\u5DE7\u3002 \u53EF\u5B9E\u9645\u4E0A\u5E76\u975E\u5982\u6B64\u3002\u786E\u5207\u5730\u8BF4\uFF0C\u662F\u56E0\u4E3A\u8001\u5E08\u6D89\u730E\u8F83\u5E7F\uFF0C\u5728\u591A\u5E74\u9605\u8BFB\u4E2D\u5B66\u4F1A\u4E86\u67D0\u79CD\u201C\u9605\u8BFB\u8BED\u8A00\u201D\uFF0C\u800C\u5B66\u751F\u5219\u521A\u521A\u5165\u95E8\u3002\u6211\u662F\u6307\u4E00\u79CD\u6587\u5B66\u6587\u6CD5\uFF0C\u4E00\u5957\u5E38\u89C4\u4E0E\u6A21\u5F0F\u3001\u89C4\u8303\u4E0E\u51C6\u5219\uFF0C\u5B66\u4E86\u8FD9\u4E9B\uFF0C\u5206\u6790\u4F5C\u54C1\u65F6\u4FBF\u53EF\u6D3E\u4E0A\u7528\u573A\u3002\u6BCF\u79CD\u8BED\u8A00\u90FD\u6709\u6587\u6CD5\uFF0C\u5373\u4E00\u5957\u89C4\u8303\u8BCD\u8BED\u7528\u6CD5\u53CA\u610F\u4E49\u7684\u89C4\u5219\uFF0C\u6587\u5B66\u8BED\u8A00\u4E5F\u4E0D\u4F8B\u5916\u3002\u5F53\u7136\uFF0C\u548C\u8BED\u8A00\u672C\u8EAB\u4E00\u6837\uFF0C\u8FD9\u4E9B\u89C4\u8303\u591A\u5C11\u90FD\u6709\u70B9\u4EFB\u610F\u6027\u3002\n==========\n\u5982\u4F55\u9605\u8BFB\u4E00\u672C\u6587\u5B66\u4E66 (\u6258\u9A6C\u65AF\xB7\u798F\u65AF\u7279)\n- \u60A8\u5728\u4F4D\u7F6E #81-82\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2017\u5E741\u67089\u65E5\u661F\u671F\u4E00 \u4E0A\u53481:10:15\n\n\u8BB0\u5FC6\u3002\u8C61\u5F81\u3002\u6A21\u5F0F\u3002\u5728\u533A\u5206\u6587\u5B66\u6559\u6388\u548C\u666E\u901A\u8BFB\u8005\u65F6\uFF0C\u8FD9\u4E09\u6761\u6700\u4E3A\u5173\u952E\u3002\n==========\n\u5982\u4F55\u9605\u8BFB\u4E00\u672C\u6587\u5B66\u4E66 (\u6258\u9A6C\u65AF\xB7\u798F\u65AF\u7279)\n- \u60A8\u5728\u4F4D\u7F6E #112-113\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2017\u5E741\u67089\u65E5\u661F\u671F\u4E00 \u4E0A\u53481:11:40\n\n\u6211\u5728\u672C\u4E66\u4E2D\u60F3\u505A\u7684\uFF0C\u4E5F\u6B63\u662F\u6211\u5728\u8BFE\u5802\u4E0A\u505A\u7684\uFF1A\u8BA9\u8BFB\u8005\u8BA4\u8BC6\u6587\u5B66\u4E13\u4E1A\u7684\u5B66\u751F\u662F\u5982\u4F55\u9605\u8BFB\u7684\uFF0C\u5E76\u5BF9\u9605\u8BFB\u6240\u9700\u7684\u89C4\u5219\u548C\u6A21\u5F0F\u8FDB\u884C\u5E7F\u6CDB\u4ECB\u7ECD\u3002\n==========\n\u5982\u4F55\u9605\u8BFB\u4E00\u672C\u6587\u5B66\u4E66 (\u6258\u9A6C\u65AF\xB7\u798F\u65AF\u7279)\n- \u60A8\u5728\u4F4D\u7F6E #208-210\u7684\u6807\u6CE8 | \u6DFB\u52A0\u4E8E 2017\u5E741\u670816\u65E5\u661F\u671F\u4E00 \u4E0B\u53481:07:25\n\n\u6587\u5B66\u4E2D\u7684\u8FDB\u9910\u4E5F\u662F\u8868\u8FBE\u53CB\u597D\u4E4B\u610F\u3002\u6587\u5B66\u4F5C\u54C1\u4E2D\u8FD8\u6709\u53E6\u4E00\u4E2A\u539F\u56E0\uFF1A\u5403\u996D\u7684\u573A\u666F\u592A\u96BE\u5199\uFF0C\u5403\u996D\u672C\u8EAB\u4E5F\u6CA1\u4EC0\u4E48\u8DA3\u5473\uFF0C\u6545\u800C\u4F5C\u5BB6\u53EA\u6709\u5728\u786E\u6709\u5FC5\u8981\u539F\u56E0\u65F6\u624D\u4F1A\u5199\u5403\u996D\u3002\n==========";
      /***/
    },

    /***/
    "./src/app/utils/mock/kindleServer.ts":
    /*!********************************************!*\
      !*** ./src/app/utils/mock/kindleServer.ts ***!
      \********************************************/

    /*! exports provided: default */

    /***/
    function srcAppUtilsMockKindleServerTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony default export */


      __webpack_exports__["default"] = "\n<!DOCTYPE html>\n<html lang=\"en\">\n\n<head>\n  <meta charset=\"UTF-8\">\n  <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n  <meta http-equiv=\"X-UA-Compatible\" content=\"ie=edge\">\n  <title>\u4F17\u5C71\u5C0F \xB7 \u5BFC\u5165 Kindle \u7B14\u8BB0</title>\n\n  <style>\n    body {\n      background: #FAFBFF;\n      padding: 20px 40px;\n    }\n\n    .content {\n      max-width: 600px;\n      margin: 0 auto;\n    }\n\n    h1 {\n      text-align: center;\n      color: #2B3C87;\n      font-size: 22px;\n      margin: 30px 0 50px 0;\n    }\n\n    h2 {\n      margin: 20px 0 10px 0;\n      font-size: 18px;\n      color: #2A3566;\n    }\n\n    #drag-file {\n      width: 100%;\n      height: 130px;\n      margin: 20px 0;\n      padding: 50px;\n      box-sizing: border-box;\n      border-radius: 12px;\n      background: none;\n      text-align: center;\n      border: 2px dashed #DFE5F6;\n      background-color: #FAFBFF;\n      color: #4853A7;\n    }\n\n    .center {\n      text-align: center;\n    }\n\n    .hint {\n      font-size: 10px;\n    }\n\n    #upload {\n      display: none;\n    }\n\n    button {\n      padding: 10px 50px;\n      font-size: 16px;\n      border-radius: 8px;\n      border: none;\n      color: #fff;\n      background-color: #4853A7;\n    }\n\n    p {\n      margin: 20px 0 5px 0;\n      color: #7B8095;\n    }\n  </style>\n</head>\n\n<body ondrop=\"dropHandler(event)\" ondragover=\"dragOverHandler(event)\">\n  <div class=\"content\">\n    <h1>\u4F17\u5C71\u5C0F \xB7 \u5BFC\u5165 Kindle \u7B14\u8BB0</h1>\n\n    <h2>\u7B2C\u4E00\u6B65\uFF1A\u5C06 Kindle \u7528 USB \u94FE\u63A5\u5230\u7535\u8111</h2>\n\n    <h2>\u7B2C\u4E8C\u6B65\uFF1A\u5C06 Documents \u76EE\u5F55\u4E0B\u7684 My clippings.txt \u6587\u4EF6\u62D6\u5230\u4E0B\u65B9</h2>\n    <p class=\"hint\">\u6587\u4EF6\u5927\u5C0F\uFF1A\u76EE\u524D\u652F\u6301\u7684\u6700\u5927\u6587\u4EF6\u5927\u5C0F\u662F 2MB\uFF0C\u5982\u679C\u6587\u4EF6\u8D85\u8FC7\u8FD9\u4E2A\u5927\u5C0F\uFF0C\u8BF7\u62C6\u5206\u4E3A\u591A\u4E2A\u6587\u4EF6\u5BFC\u5165\uFF08<a href=\"#\" onclick=\"alert('\u53EF\u4EE5\u5728\u4EFB\u610F\u4E00\u6761\u7B14\u8BB0\u540E\u7684 ========== \u5904\u62C6\u5206\u4E3A\u591A\u4E2A\u6587\u4EF6\uFF0C\u5206\u522B\u4E0A\u4F20')\">\u5982\u4F55\uFF1F</a>\uFF09\u3002\u6211\u4EEC\u5C06\u5728\u672A\u6765\u7684\u7248\u672C\u4E2D\u6539\u8FDB\u8FD9\u4E00\u70B9\u3002</p>\n\n    <div id=\"drag-file\">\n      \u8BF7\u5C06 My clippings.txt \u62D6\u52A8\u81F3\u6B64\n    </div>\n\n    <h2>\u7B2C\u4E09\u6B65\uFF1A\u540C\u6B65\u81F3\u624B\u673A</h2>\n\n    <div id=\"upload\" class=\"center\">\n      <p>\u91CD\u590D\u7B14\u8BB0\u5C06\u88AB\u81EA\u52A8\u5FFD\u7565</p>\n      <button onclick=\"send()\">\u540C\u6B65\u81F3\u624B\u673A</button>\n    </div>\n  </div>\n\n  <script>\n    var kindleText;\n\n    function dropHandler(event) {\n      var file = event.dataTransfer.files[0];\n      reader = new FileReader();\n      reader.onload = function (event) {\n        kindleText = event.target.result;\n        if (kindleText.indexOf('===') < 0) {\n          alert('\u6587\u4EF6\u683C\u5F0F\u9519\u8BEF\uFF01');\n          return;\n        }\n\n        var upload = document.getElementById('upload');\n        upload.style.display = 'block';\n\n        var drag = document.getElementById('drag-file');\n        drag.style.display = 'none';\n      };\n      reader.readAsText(file);\n\n      event.preventDefault();\n    }\n\n    function dragOverHandler(event) {\n      // console.log(event);\n      event.preventDefault();\n    }\n\n    function send() {\n      if (kindleText) {\n        var upload = document.getElementById('upload');\n        upload.style.display = 'none';\n        var success = function () {\n          alert('\u5BFC\u5165\u7B14\u8BB0\u5B8C\u6210\uFF01');\n        };\n        var fail = function () {\n          var drag = document.getElementById('drag-file');\n          drag.style.display = 'block';\n          alert('\u5BFC\u5165\u6570\u636E\u5931\u8D25\uFF01');\n        };\n        post('importKindle', { text: kindleText }, success, fail);\n      }\n      else {\n        var drag = document.getElementById('drag-file');\n        drag.style.display = 'block';\n        alert('\u9519\u8BEF\uFF1A\u6CA1\u6709\u6570\u636E\uFF01');\n      }\n    }\n\n    function post(url, data, success, fail) {\n      var request = new XMLHttpRequest();\n      request.onreadystatechange = function () {\n        if (request.readyState === 4) {\n          if (request.status === 200) {\n            success(request.responseText);\n          } else {\n            console.error(request);\n            fail(request.status);\n          }\n        }\n      };\n      var ip = location.href + url;\n      request.open('POST', ip);\n      request.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');\n      request.send(JSON.stringify(data));\n    }\n  </script>\n\n</body>\n\n</html>\n";
      /***/
    }
  }]);
})();
//# sourceMappingURL=default~pages-book-book-module~pages-home-home-module~pages-import-note-result-import-note-result-mo~a98ccc87-es5.js.map