(function () {
  function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

  function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

  function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

  function _possibleConstructorReturn(self, call) { if (call && (typeof call === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

  function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

  function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

  function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

  function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

  function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

  function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

  (window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~pages-book-book-module~tab3-tab3-module"], {
    /***/
    "./src/app/entities/exporters/exporter.ts":
    /*!************************************************!*\
      !*** ./src/app/entities/exporters/exporter.ts ***!
      \************************************************/

    /*! exports provided: exportFormat, exportMedia, Exporter */

    /***/
    function srcAppEntitiesExportersExporterTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "exportFormat", function () {
        return exportFormat;
      });
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "exportMedia", function () {
        return exportMedia;
      });
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "Exporter", function () {
        return Exporter;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");

      var exportFormat;

      (function (exportFormat) {
        exportFormat[exportFormat["html"] = 1] = "html";
        exportFormat[exportFormat["txt"] = 2] = "txt";
        exportFormat[exportFormat["md"] = 3] = "md";
      })(exportFormat || (exportFormat = {}));

      ;
      var exportMedia;

      (function (exportMedia) {
        exportMedia[exportMedia["email"] = 1] = "email";
        exportMedia[exportMedia["clipboard"] = 2] = "clipboard";
        exportMedia[exportMedia["file"] = 3] = "file";
      })(exportMedia || (exportMedia = {}));

      ;

      var Exporter = /*#__PURE__*/function () {
        function Exporter(storage) {
          _classCallCheck(this, Exporter);

          this.storage = storage;
        }

        _createClass(Exporter, [{
          key: "loadData",
          value: function loadData(bookId) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee2() {
              var _this = this;

              var book;
              return regeneratorRuntime.wrap(function _callee2$(_context2) {
                while (1) {
                  switch (_context2.prev = _context2.next) {
                    case 0:
                      if (!bookId) {
                        _context2.next = 12;
                        break;
                      }

                      _context2.next = 3;
                      return this.storage.getBook(bookId);

                    case 3:
                      book = _context2.sent;
                      _context2.next = 6;
                      return this.storage.localFetchNotesOfBook(book);

                    case 6:
                      this.books = [book];
                      _context2.next = 9;
                      return this.storage.getRecords(book);

                    case 9:
                      this.records = _context2.sent;
                      _context2.next = 20;
                      break;

                    case 12:
                      _context2.next = 14;
                      return this.storage.getAllBooks();

                    case 14:
                      this.books = _context2.sent;
                      _context2.next = 17;
                      return this.storage.getRecords();

                    case 17:
                      this.records = _context2.sent;
                      _context2.next = 20;
                      return Promise.all(this.books.map(function (book) {
                        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
                          return regeneratorRuntime.wrap(function _callee$(_context) {
                            while (1) {
                              switch (_context.prev = _context.next) {
                                case 0:
                                  _context.next = 2;
                                  return this.storage.localFetchNotesOfBook(book);

                                case 2:
                                case "end":
                                  return _context.stop();
                              }
                            }
                          }, _callee, this);
                        }));
                      }));

                    case 20:
                    case "end":
                      return _context2.stop();
                  }
                }
              }, _callee2, this);
            }));
          }
        }, {
          key: "toJsonStr",
          value: function toJsonStr() {
            return JSON.stringify({
              books: this.books,
              records: this.records
            });
          }
        }]);

        return Exporter;
      }();
      /***/

    },

    /***/
    "./src/app/entities/exporters/htmlExporter.ts":
    /*!****************************************************!*\
      !*** ./src/app/entities/exporters/htmlExporter.ts ***!
      \****************************************************/

    /*! exports provided: default */

    /***/
    function srcAppEntitiesExportersHtmlExporterTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "default", function () {
        return HtmlExporter;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
      /*! moment */
      "./node_modules/moment/moment.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);
      /* harmony import */


      var _exporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
      /*! ./exporter */
      "./src/app/entities/exporters/exporter.ts");
      /* harmony import */


      var src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(
      /*! src/app/utils/string */
      "./src/app/utils/string.ts");

      var HtmlExporter = /*#__PURE__*/function (_exporter__WEBPACK_IM) {
        _inherits(HtmlExporter, _exporter__WEBPACK_IM);

        var _super = _createSuper(HtmlExporter);

        function HtmlExporter(storage) {
          var _this2;

          _classCallCheck(this, HtmlExporter);

          _this2 = _super.call(this, storage);
          _this2.storage = storage;
          return _this2;
        }

        _createClass(HtmlExporter, [{
          key: "export",
          value: function _export(bookId) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee3() {
              return regeneratorRuntime.wrap(function _callee3$(_context3) {
                while (1) {
                  switch (_context3.prev = _context3.next) {
                    case 0:
                      _context3.next = 2;
                      return this.loadData(bookId);

                    case 2:
                      return _context3.abrupt("return", this.getHtml());

                    case 3:
                    case "end":
                      return _context3.stop();
                  }
                }
              }, _callee3, this);
            }));
          }
        }, {
          key: "getHtml",
          value: function getHtml() {
            var template = "\n      <html>\n        <body>\n          <h1>\u4F17\u5C71\u5C0F \xB7 \u8BFB\u4E66\u7B14\u8BB0</h1>\n    ";
            this.books.forEach(function (book) {
              if (!book.notes.length) {
                return;
              }

              template += "\n        <h2 class=\"book-title\" id=\"book-".concat(book.id, "\">").concat(book.title, "</h2>\n        <div class=\"book-author\">").concat(book.author, "</div>\n      ");

              if (book.image) {
                template += "\n        <img class=\"book-image\" src=\"".concat(book.image, "\">");
              }

              book.notes.forEach(function (note) {
                template += "\n          <div class=\"note\" id=\"note-".concat(note.id, "\">\n            <div class=\"note-time\">").concat(moment__WEBPACK_IMPORTED_MODULE_1__(note.createdTime).format('YYYY-MM-DD HH:mm:ss'), "</div>\n        ");

                if (note.citation) {
                  template += "\n            <div class=\"note-citation\">\n              ".concat(formatHtml(note.citation), "\n            </div>\n          ");
                }

                if (note.thoughts) {
                  template += "\n            <blockquote class=\"note-thoughts\">\n              ".concat(formatHtml(note.thoughts), "\n            </blockquote>\n          ");
                }

                if (note.image) {
                  template += "\n          <div class=\"note-image\">\n            <img class=\"note-image\" src=\"".concat(note.image, "\">\n          </div>\n          ");
                }

                template += '</div>';
              });
            });
            template += "\n        </body>\n      </html>\n    ";
            return template;
          }
        }]);

        return HtmlExporter;
      }(_exporter__WEBPACK_IMPORTED_MODULE_2__["Exporter"]);

      function formatHtml(text) {
        return Object(src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__["replaceAll"])(text, '\n', '<br>');
      }
      /***/

    },

    /***/
    "./src/app/entities/exporters/mdExporter.ts":
    /*!**************************************************!*\
      !*** ./src/app/entities/exporters/mdExporter.ts ***!
      \**************************************************/

    /*! exports provided: default */

    /***/
    function srcAppEntitiesExportersMdExporterTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "default", function () {
        return MdExporter;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
      /*! moment */
      "./node_modules/moment/moment.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);
      /* harmony import */


      var _exporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
      /*! ./exporter */
      "./src/app/entities/exporters/exporter.ts");
      /* harmony import */


      var src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(
      /*! src/app/utils/string */
      "./src/app/utils/string.ts");

      var MdExporter = /*#__PURE__*/function (_exporter__WEBPACK_IM2) {
        _inherits(MdExporter, _exporter__WEBPACK_IM2);

        var _super2 = _createSuper(MdExporter);

        function MdExporter(storage) {
          var _this3;

          _classCallCheck(this, MdExporter);

          _this3 = _super2.call(this, storage);
          _this3.storage = storage;
          return _this3;
        }

        _createClass(MdExporter, [{
          key: "export",
          value: function _export(bookId) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee4() {
              return regeneratorRuntime.wrap(function _callee4$(_context4) {
                while (1) {
                  switch (_context4.prev = _context4.next) {
                    case 0:
                      _context4.next = 2;
                      return this.loadData(bookId);

                    case 2:
                      return _context4.abrupt("return", this.getTxt());

                    case 3:
                    case "end":
                      return _context4.stop();
                  }
                }
              }, _callee4, this);
            }));
          }
        }, {
          key: "getTxt",
          value: function getTxt() {
            var template = '# 众山小 · 读书笔记\n';
            this.books.forEach(function (book) {
              if (!book.notes.length) {
                return;
              }

              template += "\n## ".concat(book.title, "\n\n").concat(book.author, "\n\n");
              book.notes.forEach(function (note) {
                template += "### ".concat(moment__WEBPACK_IMPORTED_MODULE_1__(note.createdTime).format('YYYY-MM-DD HH:mm:ss'), "\n\n");

                if (note.citation) {
                  // 引用可以是多行的，为每行增加 >
                  var citation = Object(src_app_utils_string__WEBPACK_IMPORTED_MODULE_3__["replaceAll"])(note.citation, '\n', '\n> '); // 去掉最后的 >

                  citation = citation.slice(0, citation.length - 1);
                  template += "> ".concat(citation, "\n\n");
                }

                if (note.thoughts) {
                  template += "".concat(note.thoughts, "\n\n");
                }

                template += '\n';
              });
            });
            return template;
          }
        }]);

        return MdExporter;
      }(_exporter__WEBPACK_IMPORTED_MODULE_2__["Exporter"]);
      /***/

    },

    /***/
    "./src/app/entities/exporters/txtExporter.ts":
    /*!***************************************************!*\
      !*** ./src/app/entities/exporters/txtExporter.ts ***!
      \***************************************************/

    /*! exports provided: default */

    /***/
    function srcAppEntitiesExportersTxtExporterTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "default", function () {
        return TxtExporter;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
      /*! moment */
      "./node_modules/moment/moment.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);
      /* harmony import */


      var _exporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
      /*! ./exporter */
      "./src/app/entities/exporters/exporter.ts");

      var TxtExporter = /*#__PURE__*/function (_exporter__WEBPACK_IM3) {
        _inherits(TxtExporter, _exporter__WEBPACK_IM3);

        var _super3 = _createSuper(TxtExporter);

        function TxtExporter(storage) {
          var _this4;

          _classCallCheck(this, TxtExporter);

          _this4 = _super3.call(this, storage);
          _this4.storage = storage;
          return _this4;
        }

        _createClass(TxtExporter, [{
          key: "export",
          value: function _export(bookId) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee5() {
              return regeneratorRuntime.wrap(function _callee5$(_context5) {
                while (1) {
                  switch (_context5.prev = _context5.next) {
                    case 0:
                      _context5.next = 2;
                      return this.loadData(bookId);

                    case 2:
                      return _context5.abrupt("return", this.getTxt());

                    case 3:
                    case "end":
                      return _context5.stop();
                  }
                }
              }, _callee5, this);
            }));
          }
        }, {
          key: "getTxt",
          value: function getTxt() {
            var template = '众山小 · 读书笔记\n';
            this.books.forEach(function (book) {
              if (!book.notes.length) {
                return;
              }

              template += "------------\n\n".concat(book.title, "\n").concat(book.author, "\n\n");
              book.notes.forEach(function (note) {
                template += "".concat(moment__WEBPACK_IMPORTED_MODULE_1__(note.createdTime).format('YYYY-MM-DD HH:mm:ss'), "\n");

                if (note.citation) {
                  template += "".concat(note.citation, "\n");
                }

                if (note.thoughts) {
                  template += "\u611F\u60F3\uFF1A".concat(note.thoughts, "\n");
                }

                template += '\n';
              });
            });
            return template;
          }
        }]);

        return TxtExporter;
      }(_exporter__WEBPACK_IMPORTED_MODULE_2__["Exporter"]);
      /***/

    },

    /***/
    "./src/app/services/export.service.ts":
    /*!********************************************!*\
      !*** ./src/app/services/export.service.ts ***!
      \********************************************/

    /*! exports provided: ExportService */

    /***/
    function srcAppServicesExportServiceTs(module, __webpack_exports__, __webpack_require__) {
      "use strict";

      __webpack_require__.r(__webpack_exports__);
      /* harmony export (binding) */


      __webpack_require__.d(__webpack_exports__, "ExportService", function () {
        return ExportService;
      });
      /* harmony import */


      var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(
      /*! tslib */
      "./node_modules/tslib/tslib.es6.js");
      /* harmony import */


      var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(
      /*! @angular/core */
      "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
      /* harmony import */


      var _ionic_native_email_composer_ngx__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(
      /*! @ionic-native/email-composer/ngx */
      "./node_modules/@ionic-native/email-composer/__ivy_ngcc__/ngx/index.js");
      /* harmony import */


      var _ionic_angular__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(
      /*! @ionic/angular */
      "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(
      /*! moment */
      "./node_modules/moment/moment.js");
      /* harmony import */


      var moment__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_4__);
      /* harmony import */


      var _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(
      /*! ../entities/exporters/exporter */
      "./src/app/entities/exporters/exporter.ts");
      /* harmony import */


      var _entities_exporters_htmlExporter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(
      /*! ../entities/exporters/htmlExporter */
      "./src/app/entities/exporters/htmlExporter.ts");
      /* harmony import */


      var _entities_exporters_txtExporter__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(
      /*! ../entities/exporters/txtExporter */
      "./src/app/entities/exporters/txtExporter.ts");
      /* harmony import */


      var _entities_exporters_mdExporter__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(
      /*! ../entities/exporters/mdExporter */
      "./src/app/entities/exporters/mdExporter.ts");
      /* harmony import */


      var _storage_service__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(
      /*! ./storage.service */
      "./src/app/services/storage.service.ts");
      /* harmony import */


      var _file_service__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(
      /*! ./file.service */
      "./src/app/services/file.service.ts");
      /* harmony import */


      var _utils_env__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(
      /*! ../utils/env */
      "./src/app/utils/env.ts");
      /* harmony import */


      var _clipboard_service__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(
      /*! ./clipboard.service */
      "./src/app/services/clipboard.service.ts");
      /* harmony import */


      var _analytics_service__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(
      /*! ./analytics.service */
      "./src/app/services/analytics.service.ts");
      /* harmony import */


      var _taptic_service__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(
      /*! ./taptic.service */
      "./src/app/services/taptic.service.ts");
      /* harmony import */


      var _store_service__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(
      /*! ./store.service */
      "./src/app/services/store.service.ts");
      /* harmony import */


      var _components_modal_pro_pro_component__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(
      /*! ../components/modal/pro/pro.component */
      "./src/app/components/modal/pro/pro.component.ts");

      var ExportService = /*#__PURE__*/function () {
        function ExportService(storage, emailComposer, fileService, clipboard, analytics, taptic, store, modal, alert, toast, actionSheetCtrl, platform, loading) {
          _classCallCheck(this, ExportService);

          this.storage = storage;
          this.emailComposer = emailComposer;
          this.fileService = fileService;
          this.clipboard = clipboard;
          this.analytics = analytics;
          this.taptic = taptic;
          this.store = store;
          this.modal = modal;
          this.alert = alert;
          this.toast = toast;
          this.actionSheetCtrl = actionSheetCtrl;
          this.platform = platform;
          this.loading = loading;
          this._htmlExporter = new _entities_exporters_htmlExporter__WEBPACK_IMPORTED_MODULE_6__["default"](this.storage);
          this._txtExporter = new _entities_exporters_txtExporter__WEBPACK_IMPORTED_MODULE_7__["default"](this.storage);
          this._mdExporter = new _entities_exporters_mdExporter__WEBPACK_IMPORTED_MODULE_8__["default"](this.storage);
        }

        _createClass(ExportService, [{
          key: "exportNotes",
          value: function exportNotes(pageName, bookId) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee10() {
              var _this5 = this;

              var doExport, chooseMedia, actionsheet;
              return regeneratorRuntime.wrap(function _callee10$(_context10) {
                while (1) {
                  switch (_context10.prev = _context10.next) {
                    case 0:
                      this.analytics.logClick(pageName, 'note_export');

                      doExport = function doExport(format) {
                        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this5, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee6() {
                          var target, media, isSuccess;
                          return regeneratorRuntime.wrap(function _callee6$(_context6) {
                            while (1) {
                              switch (_context6.prev = _context6.next) {
                                case 0:
                                  target = format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].html ? 'html' : format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].md ? 'md' : 'txt';
                                  this.analytics.logClick(pageName, 'note_export_' + target);
                                  _context6.next = 4;
                                  return chooseMedia();

                                case 4:
                                  media = _context6.sent;

                                  if (!(media != null)) {
                                    _context6.next = 10;
                                    break;
                                  }

                                  _context6.next = 8;
                                  return this._doExportNotes(format, media, bookId);

                                case 8:
                                  isSuccess = _context6.sent;

                                  if (isSuccess) {
                                    this.taptic.notifSuccess();
                                  } else {
                                    this.taptic.notifError();
                                  }

                                case 10:
                                case "end":
                                  return _context6.stop();
                              }
                            }
                          }, _callee6, this);
                        }));
                      };

                      chooseMedia = function chooseMedia() {
                        return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this5, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee8() {
                          var _this6 = this;

                          return regeneratorRuntime.wrap(function _callee8$(_context8) {
                            while (1) {
                              switch (_context8.prev = _context8.next) {
                                case 0:
                                  return _context8.abrupt("return", new Promise(function (resolve) {
                                    return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this6, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee7() {
                                      var buttons, mediaSheet;
                                      return regeneratorRuntime.wrap(function _callee7$(_context7) {
                                        while (1) {
                                          switch (_context7.prev = _context7.next) {
                                            case 0:
                                              buttons = (_utils_env__WEBPACK_IMPORTED_MODULE_11__["isDebug"] || this.platform.is('android') ? [] : [{
                                                text: '发送至邮箱',
                                                handler: function handler() {
                                                  resolve(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].email);
                                                }
                                              }]).concat([{
                                                text: '复制到剪贴板',
                                                handler: function handler() {
                                                  resolve(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].clipboard);
                                                }
                                              }, {
                                                text: '保存到本地文件',
                                                handler: function handler() {
                                                  resolve(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].file);
                                                }
                                              }, {
                                                text: '（更多方式正在开发中）',
                                                handler: function handler() {
                                                  resolve(null);
                                                }
                                              }]);
                                              _context7.next = 3;
                                              return this.actionSheetCtrl.create({
                                                header: '选择导出方式',
                                                buttons: buttons
                                              });

                                            case 3:
                                              mediaSheet = _context7.sent;
                                              mediaSheet.present();

                                            case 5:
                                            case "end":
                                              return _context7.stop();
                                          }
                                        }
                                      }, _callee7, this);
                                    }));
                                  }));

                                case 1:
                                case "end":
                                  return _context8.stop();
                              }
                            }
                          }, _callee8);
                        }));
                      };

                      _context10.next = 5;
                      return this.actionSheetCtrl.create({
                        header: '选择导出格式',
                        buttons: [{
                          text: 'HTML',
                          handler: function handler() {
                            doExport(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].html);
                            actionsheet.dismiss();
                          }
                        }, {
                          text: 'TEXT',
                          handler: function handler() {
                            doExport(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].txt);
                            actionsheet.dismiss();
                          }
                        }, {
                          text: 'Markdown（会员）',
                          handler: function handler() {
                            _this5.store.init(function () {
                              return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this5, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee9() {
                                var modal;
                                return regeneratorRuntime.wrap(function _callee9$(_context9) {
                                  while (1) {
                                    switch (_context9.prev = _context9.next) {
                                      case 0:
                                        this.store.checkProExpired();

                                        if (!this.store.storeInfo.isPro) {
                                          _context9.next = 6;
                                          break;
                                        }

                                        doExport(_entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].md);
                                        actionsheet.dismiss();
                                        _context9.next = 10;
                                        break;

                                      case 6:
                                        _context9.next = 8;
                                        return this.modal.create({
                                          component: _components_modal_pro_pro_component__WEBPACK_IMPORTED_MODULE_16__["ProComponent"],
                                          componentProps: {
                                            reason: '订阅会员以导出更多格式的笔记',
                                            reasonId: 'note_export_md',
                                            ref: 'book'
                                          }
                                        });

                                      case 8:
                                        modal = _context9.sent;
                                        modal.present();

                                      case 10:
                                      case "end":
                                        return _context9.stop();
                                    }
                                  }
                                }, _callee9, this);
                              }));
                            });
                          }
                        }, {
                          text: '取消',
                          role: 'cancel'
                        }]
                      });

                    case 5:
                      actionsheet = _context10.sent;
                      _context10.next = 8;
                      return actionsheet.present();

                    case 8:
                    case "end":
                      return _context10.stop();
                  }
                }
              }, _callee10, this);
            }));
          }
        }, {
          key: "_doExportNotes",
          value: function _doExportNotes(format, media, bookId) {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee12() {
              var _this7 = this;

              var content, suffix, timestamp, fileName, filePath, alert, loading, _alert, _filePath, _alert2;

              return regeneratorRuntime.wrap(function _callee12$(_context12) {
                while (1) {
                  switch (_context12.prev = _context12.next) {
                    case 0:
                      if (!(format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].html)) {
                        _context12.next = 7;
                        break;
                      }

                      _context12.next = 3;
                      return this._htmlExporter["export"](bookId);

                    case 3:
                      content = _context12.sent;
                      suffix = 'html';
                      _context12.next = 19;
                      break;

                    case 7:
                      if (!(format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].txt)) {
                        _context12.next = 14;
                        break;
                      }

                      _context12.next = 10;
                      return this._txtExporter["export"](bookId);

                    case 10:
                      content = _context12.sent;
                      suffix = 'txt';
                      _context12.next = 19;
                      break;

                    case 14:
                      if (!(format === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportFormat"].md)) {
                        _context12.next = 19;
                        break;
                      }

                      _context12.next = 17;
                      return this._mdExporter["export"](bookId);

                    case 17:
                      content = _context12.sent;
                      suffix = 'md';

                    case 19:
                      timestamp = moment__WEBPACK_IMPORTED_MODULE_4__().format('YYYYMMDD-HHmmss');
                      fileName = "omynote-".concat(timestamp, ".").concat(suffix);
                      _context12.t0 = media;
                      _context12.next = _context12.t0 === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].email ? 24 : _context12.t0 === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].clipboard ? 44 : _context12.t0 === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].file ? 44 : 76;
                      break;

                    case 24:
                      if (!Object(_utils_env__WEBPACK_IMPORTED_MODULE_11__["isDebug"])()) {
                        _context12.next = 27;
                        break;
                      }

                      console.log('write to file:', fileName, content);
                      return _context12.abrupt("return", true);

                    case 27:
                      _context12.prev = 27;
                      _context12.next = 30;
                      return this.fileService.write(content, fileName, _file_service__WEBPACK_IMPORTED_MODULE_10__["FileDirType"].exportTmp);

                    case 30:
                      filePath = _context12.sent;
                      _context12.next = 33;
                      return this.alert.create({
                        header: '即将编辑邮件',
                        message: '如果没有反应，请检查系统设置中是否配置了邮箱',
                        buttons: [{
                          text: '好的',
                          handler: function handler() {
                            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(_this7, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee11() {
                              var email;
                              return regeneratorRuntime.wrap(function _callee11$(_context11) {
                                while (1) {
                                  switch (_context11.prev = _context11.next) {
                                    case 0:
                                      _context11.prev = 0;
                                      email = {
                                        attachments: [filePath],
                                        subject: '众山小 - 读书笔记',
                                        body: moment__WEBPACK_IMPORTED_MODULE_4__().format('YYYY-MM-DD HH:mm:ss'),
                                        isHtml: true
                                      };
                                      _context11.next = 4;
                                      return this.emailComposer.open(email);

                                    case 4:
                                      _context11.next = 9;
                                      break;

                                    case 6:
                                      _context11.prev = 6;
                                      _context11.t0 = _context11["catch"](0);

                                      this._alertFailure();

                                    case 9:
                                    case "end":
                                      return _context11.stop();
                                  }
                                }
                              }, _callee11, this, [[0, 6]]);
                            }));
                          }
                        }]
                      });

                    case 33:
                      alert = _context12.sent;
                      _context12.next = 36;
                      return alert.present();

                    case 36:
                      return _context12.abrupt("return", true);

                    case 39:
                      _context12.prev = 39;
                      _context12.t1 = _context12["catch"](27);
                      console.error(_context12.t1);

                      this._alertFailure();

                      return _context12.abrupt("return", false);

                    case 44:
                      _context12.next = 46;
                      return this.loading.create({
                        message: '导出中……'
                      });

                    case 46:
                      loading = _context12.sent;
                      loading.present();
                      _context12.prev = 48;

                      if (!(media === _entities_exporters_exporter__WEBPACK_IMPORTED_MODULE_5__["exportMedia"].clipboard)) {
                        _context12.next = 58;
                        break;
                      }

                      _context12.next = 52;
                      return this.clipboard.copyToClipboard(content);

                    case 52:
                      _context12.next = 54;
                      return this.alert.create({
                        header: '复制成功',
                        message: '笔记已复制到剪贴板，请前往其他应用粘贴'
                      });

                    case 54:
                      _alert = _context12.sent;

                      _alert.present();

                      _context12.next = 66;
                      break;

                    case 58:
                      _context12.next = 60;
                      return this.fileService.write(content, fileName, _file_service__WEBPACK_IMPORTED_MODULE_10__["FileDirType"].exportSafeData);

                    case 60:
                      _filePath = _context12.sent;

                      if (!_filePath) {
                        _context12.next = 66;
                        break;
                      }

                      _context12.next = 64;
                      return this.alert.create({
                        header: '保存成功',
                        message: "\u7B14\u8BB0\u5DF2\u4FDD\u5B58\u81F3 ".concat(_filePath)
                      });

                    case 64:
                      _alert2 = _context12.sent;

                      _alert2.present();

                    case 66:
                      loading.dismiss();
                      loading = null;
                      _context12.next = 75;
                      break;

                    case 70:
                      _context12.prev = 70;
                      _context12.t2 = _context12["catch"](48);
                      loading && loading.dismiss();

                      this._alertFailure();

                      return _context12.abrupt("return", false);

                    case 75:
                      return _context12.abrupt("return", true);

                    case 76:
                      return _context12.abrupt("return", false);

                    case 77:
                    case "end":
                      return _context12.stop();
                  }
                }
              }, _callee12, this, [[27, 39], [48, 70]]);
            }));
          }
        }, {
          key: "_alertFailure",
          value: function _alertFailure() {
            return Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"])(this, void 0, void 0, /*#__PURE__*/regeneratorRuntime.mark(function _callee13() {
              var alert;
              return regeneratorRuntime.wrap(function _callee13$(_context13) {
                while (1) {
                  switch (_context13.prev = _context13.next) {
                    case 0:
                      _context13.next = 2;
                      return this.alert.create({
                        header: '复制失败',
                        message: '如果始终无法复制，请联系 admin@omynote.com'
                      });

                    case 2:
                      alert = _context13.sent;
                      alert.present();

                    case 4:
                    case "end":
                      return _context13.stop();
                  }
                }
              }, _callee13, this);
            }));
          }
        }]);

        return ExportService;
      }();

      ExportService.ctorParameters = function () {
        return [{
          type: _storage_service__WEBPACK_IMPORTED_MODULE_9__["StorageService"]
        }, {
          type: _ionic_native_email_composer_ngx__WEBPACK_IMPORTED_MODULE_2__["EmailComposer"]
        }, {
          type: _file_service__WEBPACK_IMPORTED_MODULE_10__["FileService"]
        }, {
          type: _clipboard_service__WEBPACK_IMPORTED_MODULE_12__["ClipboardService"]
        }, {
          type: _analytics_service__WEBPACK_IMPORTED_MODULE_13__["AnalyticsService"]
        }, {
          type: _taptic_service__WEBPACK_IMPORTED_MODULE_14__["TapticService"]
        }, {
          type: _store_service__WEBPACK_IMPORTED_MODULE_15__["StoreService"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["ModalController"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["AlertController"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["ToastController"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["ActionSheetController"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["Platform"]
        }, {
          type: _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["LoadingController"]
        }];
      };

      ExportService = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
        providedIn: 'root'
      })], ExportService);
      /***/
    }
  }]);
})();
//# sourceMappingURL=default~pages-book-book-module~tab3-tab3-module-es5.js.map